Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JRQueryParser

    java.lang.Object
      net.sf.jasperreports.engine.util.JRQueryParser

    public class JRQueryParser

extends java.lang.Object

Report query parser.

Version:
  $Id: JRQueryParser.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JRQueryParser()`

Method Summary
`java.lang.String` | `asClauseText(java.lang.String[] tokens)` (Re)constructs a query clause chunk from the chunk tokens.
`java.lang.String` | `asText(JRQueryChunk[] chunks)` (Re)creates the query text from a list of chunks.
`protected java.lang.String` | `determineClauseTokenSeparator(java.lang.String clauseChunk)`
`protected java.lang.String` | `getTokenSeparators()`
`static JRQueryParser` | `instance()` Returns a query parser instance.
`void` | `parse(java.lang.String text, JRQueryChunkHandler chunkHandler)` Parses a report query.
`protected java.lang.String[]` | `parseClause(java.lang.String clauseChunk)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRQueryParser

    public JRQueryParser()

Method Detail

### instance

    public static JRQueryParser instance()

  Returns a query parser instance.

  Returns:
    a query parser instance

### parse

    public void parse(java.lang.String text,
                      JRQueryChunkHandler chunkHandler)

  Parses a report query.

  Parameters:
    `text` - the query text
    `chunkHandler` - a handler that will be asked to handle parsed query chunks

### parseClause

    protected java.lang.String[] parseClause(java.lang.String clauseChunk)

### determineClauseTokenSeparator

    protected java.lang.String determineClauseTokenSeparator(java.lang.String clauseChunk)

### getTokenSeparators

    protected java.lang.String getTokenSeparators()

### asText

    public java.lang.String asText(JRQueryChunk[] chunks)

  (Re)creates the query text from a list of chunks.

  Parameters:
    `chunks` - the chunks
  Returns:
    the recreated query text

### asClauseText

    public java.lang.String asClauseText(java.lang.String[] tokens)

  (Re)constructs a query clause chunk from the chunk tokens.

  Parameters:
    `tokens` - the chunk tokens
  Returns:
    the reconstructed query clause chunk
  See Also:
    `JRQueryChunk.TYPE_CLAUSE_TOKENS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com